// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      DalRegister.h
// Author:    jbakker
// Generated: Mon Apr 10 14:34:50 MET DST 2000

#ifndef DalRegister_h
#define DalRegister_h

#include "Register.h"
#include <Dal.h>
#include <string>

namespace Info
{

/*
  Registring of a task to the DAL
 */  
class DalRegister : public Register
{
public:
  DalRegister(Task* t) : Register(t) {}
  ~DalRegister(){}

  void start() { 
    Task* t=_task;

    _metaName=dataSetServer->client();
    _metaProcess=dataSetServer->process();

    string vers;
    vers = string(" (") + t->package()+ "-" + t->version()+") [" + t->release() + "]";

    dataSetServer->client(t->name() + vers );
    dataSetServer->process(t->parameters()->asCommandLine() + " #" + vers);
  }

  void stop() {
    dataSetServer->client(_metaName);
    dataSetServer->process(_metaProcess);
  }

protected:
  // only derived classes can use these

private:
  // member functions
  DalRegister(const DalRegister&);            // copy constructor (disabled)
  DalRegister& operator=(const DalRegister&); // assignment (disabled)

  // member data
  string _metaName,_metaProcess;
};

};

#endif
