// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      DialogDll.cc
// Author:    jbakker
// Generated: Mon May 22 11:37:26 MET DST 2000

#include "DialogDll.h"
#include "SasFileLocator.h"

DialogDll::DialogDll()
{
#ifdef MACOSX
  const char* library="lib/libguiparam.dylib";
#else
  const char* library="lib/libguiparam.so";
#endif

  SasFileLocator locator("");
  if (!open(locator.locate(library,"not available",false)))
    errstr << "loading DLL guiparam, " << error() << Sas::error("DllNotFound");
}

DialogDll::~DialogDll()
{
}

bool DialogDll::exec(ParameterInfo* info)
{
  typedef bool (*PopUp)(ParameterInfo*);
  PopUp popup=(PopUp)function("popUpDialog");

  // What do we do if not available?
  if (! popup) 
    errstr << "using DLL guiparam, " << error() << Sas::error("DllNoFunction");

  // execute the dialog and return the result
  return (*popup)(info);
}

