// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      HelpViewer.h
// Author:    jbakker
// Generated: Tue Apr 11 15:57:25 MET DST 2000

#ifndef HelpViewer_h
#define HelpViewer_h
#include <string>


/**
   HelpViewer: class that allows showing of an URL;

     browse() returns true, if succeeded.

   Examples:
     HelpViewer h;
     h.browse("http://astro.estec.esa.nl");
     h.browse("astro.estec.esa.nl");        // equivalent to above
     h.browse("/");
     h.browse("file:///");                  // equivalent to above
   
 */
class HelpViewer
{
public:
  HelpViewer();
  virtual ~HelpViewer();

  virtual bool browse(const string& url);

  virtual string browser() const;
protected:
  // only derived classes can use these

private:
  // member functions
  HelpViewer(const HelpViewer&);            // copy constructor (disabled)
  HelpViewer& operator=(const HelpViewer&); // assignment (disabled)

  // member data

};



#endif
