// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <metatask.h>
#include "ccmetaerror.h"
#include "cctaskwarning.h"
#include "cctaskerror.h"
#include <ExceptionErrorHandler.h>

void ccmetaerror()
{
  ExceptionErrorHandler local;
  ErrorHandler* oldHandler = errHandler.handler(&local);
  errHandler.name(oldHandler->name());

  for (int i=0;i<2;i++) {

    // 'stupido' query, only to see, whether Task object is consistent after
    // an error occured in a child task!
    Info::Task* me= Info::Task::current();
    ParameterInfo& mypars= *(me->parameters());
    bool myval=mypars["isset"];

    cout << "Looked up variable['isset']="<<myval<<endl;

    try {
      task(cctaskerror);
    }
    catch (SasException::Error e) {
      errstr << "Continuing... after error::" << e.name << "::" << e.code <<
	Sas::warning("ChildFailed");
    }
    catch (SasException::Fatal e) {
      errstr << "Continuing... after fatal::" << e.name << "::" << e.code <<
	Sas::warning("ChildFailed");
    }
    catch (...) {
      errHandler.handler(oldHandler);
      errstr << "Fatal... after fatal" << Sas::fatal("ChildFailed");
    }
    

  }

  errHandler.handler(oldHandler); // return to default error handler
}
