// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <metatask.h>
#include "ccmetatwice.h"
#include "cctaskwarning.h"
#include "cctask.h"
#include "f90task.h"
#include "testtasklib.h"
void ccmetatwice()
{
  testtasklib::test("ccmetatwice"); // consistency check

  Info::Task* t;

  t = task("cctaskwarning");
  testtasklib::test("ccmetatwice"); // consistency check
  t->setParameter("boolean",true);
  t->setParameter("foobar",9);
  t->exec(true);
  testtasklib::test("ccmetatwice"); // consistency check

  t = task("f90task");
  t->setParameter("set","f90.ds");
  t->setParameter("message","Hello world!");
  t->exec(true);
  testtasklib::test("ccmetatwice"); // consistency check
  
  t = task("cctask");
  t->setParameter("set","cc.ds");
  t->setParameter("message","Ciao mondo!");
  t->exec(false);
  testtasklib::test("ccmetatwice"); // consistency check
  

  t = task("cctaskwarning");
  t->setParameter("foobar",3);
  t->exec(true);
  testtasklib::test("ccmetatwice"); // consistency check

}
