! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module f90meta_mod

  use param
  use metatask_mod
  use cctask_f_mod
  use f90task_mod

contains

  subroutine f90meta
    call chatAbout(getTaskInfo(),"f90meta");
    call chatAbout(getTaskInfo("f90task"),"f90meta.f90task");
    call chatAbout(getTaskInfo("cctask"),"f90meta.cctask");


    call openParameters("f90task")
    call setParameter("message","f90 metatask calling f90")
    call setParameter("set","f90f90.ds")
    call task(f90task)

    call openParameters("cctask")
    call setParameter("message","f90 metatask calling c++")
    call setParameter("set","f90cc.ds")
    call task(cctask)

  end subroutine


  subroutine chatAbout(info,what)
     type(TaskInfo),intent(in) :: info
     character(*),  intent(in) :: what
     call message(AppMsg,Always,what//".name="//trim(nameOf(info)))
     call message(AppMsg,Always,what//".version="//trim(versionOf(info)))
     call message(AppMsg,Always,what//".package="//trim(packageOf(info)))
     call message(AppMsg,Always,what//".release="//trim(releaseOf(info)))
     
  end subroutine chatAbout
end module
