! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module f90task_mod
  use errorhandling
  use dal
  use param
  use metatask_mod

  type(DataSetT) :: set
  type(TableT) :: tab
  type(TaskInfo) :: info

contains

  subroutine f90task

     info = getTaskInfo();
     call message(AppMsg,Always,"loaded info")

     call message(AppMsg,Always,"taskname="//trim(nameOf(info)))
     call message(AppMsg,Always,"taskversion="//trim(versionOf(info)))
     call message(AppMsg,Always,"taskpackage="//trim(packageOf(info)))
     call message(AppMsg,Always,"taskrelease="//trim(releaseOf(info)))

     set = dataSet(stringParameter("set"),CREATE)
     call setAttribute(set,"message",stringParameter("message"))
     call release(set)
  end subroutine

end module
