// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
#include "testtasklib.h"

void testtasklib::test(const char* nm)
{
  errstr << "testtasklib::test("
	 << nm << ") START"
	 << Sas::message(Msg::Lib,Msg::Always);

  if (!gParameters) {
    errstr << "No gParameters while visiting task("
	   << nm << ")"
	   << Sas::error("corruptedInvocation");
    
  }

  Info::Task* t= Info::Task::current();
  if (!t) {
    errstr << "Info::Task::current() while visiting task("
	   << nm << ")"
	   << Sas::error("corruptedInvocation");
  }
  
  if (std::string(nm) != t->name()) {
    errstr << "Info::Task::current("
	   << t->name() << ") != (" << nm<< ")"
	   << Sas::error("corruptedInvocation");
  }

  if (gParameters != t->parameters()) {
    errstr << "gParameters->taskName()=" << gParameters->taskName()
	   << " != t->parameters()->taskName()=" << t->parameters()->taskName()
	   << Sas::error("corruptedInvocation");
  }

  errstr << "testtasklib::test("
	 << nm << ") END"
	 << Sas::message(Msg::Lib,Msg::Always);
}
